Tracing for integer and Boolean variables
Functionality by programming task » Programming models » Tracing constraint propagation

## Classes

class | Gecode::IntTraceDelta
| Trace delta information for integer variables. More...
class | Gecode::BoolTraceDelta
| Trace delta information for Boolean variables. More...
class | Gecode::StdIntTracer
| Standard integer variable tracer. More...
class | Gecode::StdBoolTracer
| Standard Boolean variable tracer. More...

## Typedefs

typedef ViewTracer< Int::IntView > | Gecode::IntTracer
| Tracer for integer variables.
typedef ViewTraceRecorder< Int::IntView > | Gecode::IntTraceRecorder
| Trace recorder for integer variables.
typedef ViewTracer< Int::BoolView > | Gecode::BoolTracer
| Tracer for Boolean variables.
typedef ViewTraceRecorder< Int::BoolView > | Gecode::BoolTraceRecorder
| Trace recorder for Boolean variables.

## Functions

void | Gecode::trace (Home home, const IntVarArgs &x, TraceFilter tf, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), IntTracer &t=StdIntTracer::def)
| Create a tracer for integer variables.
void | Gecode::trace (Home home, const IntVarArgs &x, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), IntTracer &t=StdIntTracer::def)
| Create a tracer for integer variables.
void | Gecode::trace (Home home, const BoolVarArgs &x, TraceFilter tf, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), BoolTracer &t=StdBoolTracer::def)
| Create a tracer for Boolean Variables.
void | Gecode::trace (Home home, const BoolVarArgs &x, int te=(TE_INIT|TE_PRUNE|TE_FIX|TE_FAIL|TE_DONE), BoolTracer &t=StdBoolTracer::def)
| Create a tracer for Boolean Variables.

## Detailed Description

## Typedef Documentation

## IntTracer

typedef ViewTracer<Int::IntView> Gecode::IntTracer

Tracer for integer variables.

Definition at line 5590 of file int.hh.

## IntTraceRecorder

typedef ViewTraceRecorder<Int::IntView> Gecode::IntTraceRecorder

Trace recorder for integer variables.

Definition at line 5595 of file int.hh.

## BoolTracer

typedef ViewTracer<Int::BoolView> Gecode::BoolTracer

Tracer for Boolean variables.

Definition at line 5628 of file int.hh.

## BoolTraceRecorder

typedef ViewTraceRecorder<Int::BoolView> Gecode::BoolTraceRecorder

Trace recorder for Boolean variables.

Definition at line 5633 of file int.hh.

## Function Documentation

## trace() [1/4]

void Gecode::trace | ( | Home | home,
|  | const IntVarArgs & | x,
|  | TraceFilter | tf,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | IntTracer & | t = StdIntTracer::def )

Create a tracer for integer variables.

Definition at line 39 of file trace.cpp.

## trace() [2/4]

void Gecode::trace | ( | Home | home,
|  | const IntVarArgs & | x,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | IntTracer & | t = StdIntTracer::def )

inline

Create a tracer for integer variables.

Definition at line 37 of file trace.hpp.

## trace() [3/4]

void Gecode::trace | ( | Home | home,
|  | const BoolVarArgs & | x,
|  | TraceFilter | tf,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | BoolTracer & | t = StdBoolTracer::def )

Create a tracer for Boolean Variables.

Definition at line 48 of file trace.cpp.

## trace() [4/4]

void Gecode::trace | ( | Home | home,
|  | const BoolVarArgs & | x,
|  | int | te = (TE_INIT | TE_PRUNE | TE_FIX | TE_FAIL | TE_DONE),
|  | BoolTracer & | t = StdBoolTracer::def )

inline

Create a tracer for Boolean Variables.

Definition at line 43 of file trace.hpp.